Subject: Re: bug#72405: 29.4; Doc string of `org-indent-mode'
From: Eli Zaretskii <[email-masked]>
To: Visuwesh <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 15 Aug 2024 10:39:17 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Visuwesh <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 14 Aug 2024 13:34:18 +0530
> 
> > The reason I asked to use 'if' is that there's no reason to use 'when'
> > here, as the BODY of 'when' will only ever be a single string.
> 
> Ah, I understand now.  I find using 'if' without the else-clause
> confusing when glancing at the code so I opted to use 'when'.  Thanks
> for taking your time to explain what you meant.  Attached patch replaces
> 'when' with 'if'.

Thanks, installed on the emacs-30 branch, and closing the bug.